<!DOCTYPE html>
<html>
<head>
	<title>VirusScanner</title>
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<!-- Latest compiled and minified CSS -->
	<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css">
	<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">

	<!-- jQuery library -->
	<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>

	<!-- Popper JS -->
	<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"></script>

	<!-- Latest compiled JavaScript -->
	<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"></script>
	<style type="text/css">
        body {
            font-family: 'ForoSans', Helvetica, sans-serif;
            font-size: 14px;
            border: 1px solid rgb(216, 216, 216);
        }
		.header {
			background: whitesmoke;
		}
		.left img {
			width: 100px;
			height: 100px;
		}
		.right-top{
            font-size: 18px;
			margin-bottom: 10px;
		}
		.decript {
			overflow: hidden;
            border-bottom: 1px solid rgb(216, 216, 216);
		}
		.type{
			display: block;
			width: 15%;
		}
        .key {
            width: 30%;
        }
		.custom{
			height: 40px;
			width: 50%;
		}
		.custom span, strong {
			position: relative;
			top: 5px;
		}
        .warning-result {
            display: block;
            width: 200px;
            color: #FF001F;
            font-size: 14px;
            word-break: break-all;
        }
        .warning {
            float: left;
            margin-right: 5px;
        }
		.warning i{
			color: #FF001F;
			font-size: 20px;
		}
        .success-result {
            color: #2CBF42;
            font-size: 14px;
        }
		.success i {
			color: #2CBF42;
			font-size: 14px;
		}
		.custom-section {
			overflow: hidden;
			max-width: 1002px;
			display: table;
		}
		.rate {
            border: 1px solid #FF001F;
			border-radius: 35%;
            margin-top: 10px;
			color: red;
			position: relative;
			height: 40%;
			left: 25%;
			font-weight: 700;
			font-size: 1.2vw;
			display: flex;
  			align-items: center;
  			justify-content: center;
		}
		.title {
			width: 300px;
			word-break: break-all;
			font-size: 15px;
		}
		@media only screen and (max-width: 640px) {
			.custom{
			border-bottom: 1px solid rgb(216, 216, 216);
			height: 40px;
			width: 100%;
			/*width: 500px;*/
			}
			.type{
				display: block;
				width: 30%;
			}
			.title {
				width: 135px;
				word-break: break-all;
				font-size: 15px;
			}
			.rate {
				border: 1px solid #FF001F;
                margin-top: 10px;
				border-radius: 25%;
				color: red;
				font-weight: 700;
				font-size: 18px;
				display: flex;
	  			align-items: center;
	  			justify-content: center;
	  			width: 75px !important;
	  			height: 35px !important;
                margin-left: -10px;
			}
		}
        button {
            outline: none;
            height: 40px;
            text-align: center;
            width: 130px;
            border-radius: 40px;
            background: #fff;
            border: 2px solid #1ECD97;
            color: #1ECD97;
            letter-spacing: 1px;
            font-size: 12px;
            font-weight: bold;
            cursor: pointer;
            transition: all 0.25s ease;
        }

        button:hover {
            color: white;
            background: #1ECD97;
        }

        button:active {
            letter-spacing: 2px;
        }
	</style>
</head>
<body>
	<header class="py-4 header">
		<div class="d-flex justify-content-start w-100 container">
			<div class="left text-center w-25">
				<img src="https://image.flaticon.com/icons/png/512/28/28869.png">
				<div class="rate w-100">{{ test["positives"]}} / {{
                            test["total"]}}</div>
			</div>
			<div class="right ml-3 w-75">
				<div class="right-top">
					<strong>{{ test["positives"]}} engines detected this file </strong>
				</div>
				<div class="decript">
					<div class="float-left type">
						<span>SHA-256</span>
					</div>
					<div class="ml-3 float-left title">
						<span>{{test.sha256}}</span>
					</div>
				</div>
				<div class="decript">
					<div class="float-left type">
						<span>File name</span>
					</div>
					<div class="ml-3 float-left title">
						<span>{{test.name}}</span>
					</div>
				</div>
				<div class="decript">
					<div class="float-left type">
						<span>File Size</span>
					</div>
					<div class="ml-3 float-left title">
						<span>{{test.file_size}}</span>
					</div>
				</div>
                <div class="decript">
					<div class="float-left type">
						<span>Last analysis</span>
					</div>
					<div class="ml-3 float-left title">
						<span>{{test.time}} UTC</span>
					</div>
				</div>
			</div>
		</div>
	</header>
	<div class="clearfix"></div>
	<section class="py-4 container">
		<div class="custom-section border-bottom-0">
            {% if test %}
            {% for key, value in test.scans.items() %}
            {% if value.detected == True %}
			<div class="float-left d-flex justify-content-start custom">
				<div class="key ml-3">
					<strong>{{key}}</strong>
				</div>
				<div>
					<span class="warning"><i class="fa fa-warning"></i></span>
					<span class="warning-result">{{value.result}}</span>
				</div>
            </div>
            {% else %}
			<div class="float-left d-flex justify-content-start custom">
				<div class="key ml-3">
					<strong>{{key}}</strong>
				</div>
				<div>
					<span class="success"><i class="fa fa-check-circle"></i></span>
					<span class="success-result">Clean</span>
				</div>
			</div>
        {% endif %}
        {% endfor %}
        {% endif %}
			</div>
		</div>
	</section>
    <center><button onclick="reloadPage()">UPLOAD FILE</button></center>

</body>
</html>
<script>
    function reloadPage() {
        var href = window.location.href;
        window.location.href = href;
    }
</script>